Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Functions
Halide::ConciseCasts Namespace Reference

## Functions
Expr | f64 (Expr e)
Expr | f32 (Expr e)
Expr | f16 (Expr e)
Expr | bf16 (Expr e)
Expr | i64 (Expr e)
Expr | i32 (Expr e)
Expr | i16 (Expr e)
Expr | i8 (Expr e)
Expr | u64 (Expr e)
Expr | u32 (Expr e)
Expr | u16 (Expr e)
Expr | u8 (Expr e)
Expr | i8_sat (Expr e)
Expr | u8_sat (Expr e)
Expr | i16_sat (Expr e)
Expr | u16_sat (Expr e)
Expr | i32_sat (Expr e)
Expr | u32_sat (Expr e)
Expr | i64_sat (Expr e)
Expr | u64_sat (Expr e)

## Function Documentation

## ◆ f64()

Expr Halide::ConciseCasts::f64 | ( | Expr | e | ) |
| inline

Definition at line 18 of file ConciseCasts.h.

References Halide::cast(), Halide::Float(), Halide::Type::lanes(), and Halide::Expr::type().

## ◆ f32()

Expr Halide::ConciseCasts::f32 | ( | Expr | e | ) |
| inline

Definition at line 23 of file ConciseCasts.h.

References Halide::cast(), Halide::Float(), Halide::Type::lanes(), and Halide::Expr::type().

## ◆ f16()

Expr Halide::ConciseCasts::f16 | ( | Expr | e | ) |
| inline

Definition at line 28 of file ConciseCasts.h.

References Halide::cast(), Halide::Float(), Halide::Type::lanes(), and Halide::Expr::type().

## ◆ bf16()

Expr Halide::ConciseCasts::bf16 | ( | Expr | e | ) |
| inline

Definition at line 33 of file ConciseCasts.h.

References Halide::BFloat(), Halide::cast(), Halide::Type::lanes(), and Halide::Expr::type().

## ◆ i64()

Expr Halide::ConciseCasts::i64 | ( | Expr | e | ) |
| inline

Definition at line 38 of file ConciseCasts.h.

References Halide::cast(), Halide::Int(), Halide::Type::lanes(), and Halide::Expr::type().

## ◆ i32()

Expr Halide::ConciseCasts::i32 | ( | Expr | e | ) |
| inline

Definition at line 43 of file ConciseCasts.h.

References Halide::cast(), Halide::Int(), Halide::Type::lanes(), and Halide::Expr::type().

## ◆ i16()

Expr Halide::ConciseCasts::i16 | ( | Expr | e | ) |
| inline

Definition at line 48 of file ConciseCasts.h.

References Halide::cast(), Halide::Int(), Halide::Type::lanes(), and Halide::Expr::type().

## ◆ i8()

Expr Halide::ConciseCasts::i8 | ( | Expr | e | ) |
| inline

Definition at line 53 of file ConciseCasts.h.

References Halide::cast(), Halide::Int(), Halide::Type::lanes(), and Halide::Expr::type().

## ◆ u64()

Expr Halide::ConciseCasts::u64 | ( | Expr | e | ) |
| inline

Definition at line 58 of file ConciseCasts.h.

References Halide::cast(), Halide::Type::lanes(), Halide::Expr::type(), and Halide::UInt().

## ◆ u32()

Expr Halide::ConciseCasts::u32 | ( | Expr | e | ) |
| inline

Definition at line 63 of file ConciseCasts.h.

References Halide::cast(), Halide::Type::lanes(), Halide::Expr::type(), and Halide::UInt().

## ◆ u16()

Expr Halide::ConciseCasts::u16 | ( | Expr | e | ) |
| inline

Definition at line 68 of file ConciseCasts.h.

References Halide::cast(), Halide::Type::lanes(), Halide::Expr::type(), and Halide::UInt().

## ◆ u8()

Expr Halide::ConciseCasts::u8 | ( | Expr | e | ) |
| inline

Definition at line 73 of file ConciseCasts.h.

References Halide::cast(), Halide::Type::lanes(), Halide::Expr::type(), and Halide::UInt().

## ◆ i8_sat()

Expr Halide::ConciseCasts::i8_sat | ( | Expr | e | ) |
| inline

Definition at line 78 of file ConciseCasts.h.

References Halide::Int(), Halide::Type::lanes(), Halide::saturating_cast(), and Halide::Expr::type().

## ◆ u8_sat()

Expr Halide::ConciseCasts::u8_sat | ( | Expr | e | ) |
| inline

Definition at line 83 of file ConciseCasts.h.

References Halide::Type::lanes(), Halide::saturating_cast(), Halide::Expr::type(), and Halide::UInt().

## ◆ i16_sat()

Expr Halide::ConciseCasts::i16_sat | ( | Expr | e | ) |
| inline

Definition at line 88 of file ConciseCasts.h.

References Halide::Int(), Halide::Type::lanes(), Halide::saturating_cast(), and Halide::Expr::type().

## ◆ u16_sat()

Expr Halide::ConciseCasts::u16_sat | ( | Expr | e | ) |
| inline

Definition at line 93 of file ConciseCasts.h.

References Halide::Type::lanes(), Halide::saturating_cast(), Halide::Expr::type(), and Halide::UInt().

## ◆ i32_sat()

Expr Halide::ConciseCasts::i32_sat | ( | Expr | e | ) |
| inline

Definition at line 98 of file ConciseCasts.h.

References Halide::Int(), Halide::Type::lanes(), Halide::saturating_cast(), and Halide::Expr::type().

## ◆ u32_sat()

Expr Halide::ConciseCasts::u32_sat | ( | Expr | e | ) |
| inline

Definition at line 103 of file ConciseCasts.h.

References Halide::Type::lanes(), Halide::saturating_cast(), Halide::Expr::type(), and Halide::UInt().

## ◆ i64_sat()

Expr Halide::ConciseCasts::i64_sat | ( | Expr | e | ) |
| inline

Definition at line 108 of file ConciseCasts.h.

References Halide::Int(), Halide::Type::lanes(), Halide::saturating_cast(), and Halide::Expr::type().

## ◆ u64_sat()

Expr Halide::ConciseCasts::u64_sat | ( | Expr | e | ) |
| inline

Definition at line 113 of file ConciseCasts.h.

References Halide::Type::lanes(), Halide::saturating_cast(), Halide::Expr::type(), and Halide::UInt().